Package org.apache.tools.ant.taskdefs.optional.junit

# Class FormatterElement.TypeAttribute

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.junit.FormatterElement.TypeAttribute

Enclosing class:
  FormatterElement

    public static class FormatterElement.TypeAttribute
    extends EnumeratedAttribute

Enumerated attribute with the values "plain", "xml", "brief" and "failure".

Use to enumerate options for `type` attribute.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TypeAttribute()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TypeAttribute

    public TypeAttribute()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    This is the only method a subclass needs to implement..
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.